Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
trungnv61

hỏi về mline?

Các bài được khuyến nghị

trungnv61    10

xin nhờ các pro chỉ giáo mình cách bo tròn mline.khi mình vẽ 2 đoạn mline với bề rộng 50, lúc này cần bo tròn nó với bán kính 100 thì mình cần làm gì. thank alot!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

xin nhờ các pro chỉ giáo mình cách bo tròn mline.khi mình vẽ 2 đoạn mline với bề rộng 50, lúc này cần bo tròn nó với bán kính 100 thì mình cần làm gì. thank alot!

 

http://www.cadviet.com/forum/topic/6620-mong-cac-ban-zup-cach-fillet-duong-mline-nhung-doan-mline-gap-khuc/

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
trungnv61    10

nghĩa là việc bo tròn mline gấp khúc chưa có hướng giải quyết sao các pro. tiện đây cho mình hỏi lun lệnh blockreplace sử dụng thế nào khi mình muốn thay 1 số block cùng tên trong bản vẽ mà không phải toàn bộ bản vẽ.vì khi mình dùng lệnh này thì cad thực hiện thay hết block đó trong toàn bản vẽ. thanks

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tot77    501

BlockReplace thay đổi toàn bộ block này sang block khác.

Còn nếu muốn chỉ đổi 1 số thôi thì dùng lisp này, với điều kiện là block mới có hiện diện trong bản vẽ, chứ nếu chưa có thì không đổi tên được, đồng thời nó đổi luôn hình dạng theo block mới.

 

(defun c:dtb(/ tencu tenmoi ssl)
  (setq tencu (getstring "\nTen block cu:")
tenmoi (getstring "\nTen block moi:")
ssl (vl-remove-if 'listp (mapcar 'cadr (ssnamex (ssget (list '(0 . "INSERT") (cons 2 tencu))))))
  )
  (mapcar '(lambda(x) (entmod (subst (cons 2 tenmoi) (assoc 2 (entget x)) (entget x)))) ssl)
  (princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
trungnv61    10

BlockReplace thay đổi toàn bộ block này sang block khác.

Còn nếu muốn chỉ đổi 1 số thôi thì dùng lisp này, với điều kiện là block mới có hiện diện trong bản vẽ, chứ nếu chưa có thì không đổi tên được, đồng thời nó đổi luôn hình dạng theo block mới.

 

(defun c:dtb(/ tencu tenmoi ssl)
  (setq tencu (getstring "\nTen block cu:")
tenmoi (getstring "\nTen block moi:")
ssl (vl-remove-if 'listp (mapcar 'cadr (ssnamex (ssget (list '(0 . "INSERT") (cons 2 tencu))))))
  )
  (mapcar '(lambda(x) (entmod (subst (cons 2 tenmoi) (assoc 2 (entget x)) (entget x)))) ssl)
  (princ)
)

thanks bác nha. em sẽ dùng thử xem sao

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×